classification
Title: Add cwd to sys.path for hooks
Type: Stage: resolved
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, ncoghlan, python-dev, tarek, vinay.sajip
Priority: normal Keywords: easy, patch

Created on 2011-03-22 21:10 by eric.araujo, last changed 2014-03-12 10:26 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
8b9da1557ad2.diff loewis, 2011-06-19 20:09 review
Repositories containing patches
http://hg.python.org/sandbox/vsajip#fix11637
http://hg.python.org/sandbox/vsajip#fix11637
Messages (7)
msg131778 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-22 21:10
When pysetup is run in a project directory, this dir is not on sys.path, so hooks modules in the dir can’t be found.
msg138651 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-19 17:51
Thanks, I made slight editions, now I’m improving the docs and will commit shortly.
msg138655 - (view) Author: Roundup Robot (python-dev) Date: 2011-06-19 19:47
New changeset b732b02bd0ba by Éric Araujo in branch 'default':
packaging: Add the project directory to sys.path to support local setup hooks.
http://hg.python.org/cpython/rev/b732b02bd0ba
msg138656 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-19 19:48
Thanks!
msg138750 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-20 19:24
See also #12375.
msg145949 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-10-19 19:53
This was fixed for setup hooks but not command hooks; I have a patch for that.
msg213241 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-12 10:26
No more relevant for distutils2; to be kept in mind for metadata 2.x hooks implementations.
History
Date User Action Args
2014-03-12 10:26:55eric.araujosetstatus: open -> closed

nosy: + ncoghlan
messages: + msg213241

resolution: out of date
stage: commit review -> resolved
2011-10-19 19:53:04eric.araujosetstatus: closed -> open
versions: + 3rd party
messages: + msg145949

resolution: fixed -> (no value)
stage: resolved -> commit review
2011-06-20 19:24:56eric.araujosetmessages: + msg138750
2011-06-19 20:13:34eric.araujosethgrepos: + hgrepo33
2011-06-19 20:09:32loewissetfiles: + 8b9da1557ad2.diff
keywords: + patch
2011-06-19 19:48:00eric.araujosetstatus: open -> closed
resolution: fixed
messages: + msg138656

stage: commit review -> resolved
2011-06-19 19:47:21python-devsetnosy: + python-dev
messages: + msg138655
2011-06-19 17:51:40eric.araujosetassignee: tarek -> eric.araujo
stage: needs patch -> commit review
messages: + msg138651
versions: + Python 3.3, - 3rd party
2011-06-19 14:50:51vinay.sajipsetnosy: + vinay.sajip
2011-06-19 14:45:43vinay.sajipsethgrepos: + hgrepo32
2011-03-22 21:10:29eric.araujocreate